Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] net-snmp: add run script
@ 2021-10-06 23:09 heittpr
  2021-10-06 23:09 ` heittpr
                   ` (22 more replies)
  0 siblings, 23 replies; 24+ messages in thread
From: heittpr @ 2021-10-06 23:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is a new pull request by heittpr against master on the void-packages repository

https://github.com/heittpr/void-packages net-snmp-run-script
https://github.com/void-linux/void-packages/pull/33393

net-snmp: add run script
#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

A patch file from https://github.com/void-linux/void-packages/pull/33393.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-net-snmp-run-script-33393.patch --]
[-- Type: text/x-diff, Size: 685 bytes --]

From aab1101a91dcac76729a3dd3d54a2de562c3e311 Mon Sep 17 00:00:00 2001
From: heitor <heitorleite.dev@gmail.com>
Date: Wed, 6 Oct 2021 20:04:38 -0300
Subject: [PATCH] net-snmp: add run script

---
 srcpkgs/net-snmp/files/snmpd/run | 6 ++++++
 1 file changed, 6 insertions(+)
 create mode 100755 srcpkgs/net-snmp/files/snmpd/run

diff --git a/srcpkgs/net-snmp/files/snmpd/run b/srcpkgs/net-snmp/files/snmpd/run
new file mode 100755
index 000000000000..30f0e29183cc
--- /dev/null
+++ b/srcpkgs/net-snmp/files/snmpd/run
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+[ -r conf ] && . ./conf
+
+[ ! -e /etc/snmp/snmpd.conf ] && exit 1
+exec /usr/sbin/snmpd ${OPTS:=-f -LSwd -Lf /dev/null} -p /run/snmpd.pid

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: net-snmp: add run script
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
@ 2021-10-06 23:09 ` heittpr
  2021-10-07  1:35 ` [PR REVIEW] " ericonr
                   ` (21 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-06 23:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 153 bytes --]

New comment by heittpr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#issuecomment-937312586

Comment:
Fixes #29508

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add run script
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
  2021-10-06 23:09 ` heittpr
  2021-10-07  1:35 ` [PR REVIEW] " ericonr
@ 2021-10-07  1:35 ` ericonr
  2021-10-07  1:35 ` ericonr
                   ` (19 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-07  1:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 204 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723785925

Comment:
Does it not exit automatically if the file doesn't exist?

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add run script
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
  2021-10-06 23:09 ` heittpr
@ 2021-10-07  1:35 ` ericonr
  2021-10-07  1:35 ` ericonr
                   ` (20 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-07  1:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 417 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723786467

Comment:
```suggestion
exec snmpd ${OPTS:=-f -LSwd -Lf /dev/null} -p /run/snmpd.pid
```

What are those options for? If `-f` is for foreground, it shouldn't be part of `OPTS`, it should always be there. Same for any other essential flag. You shouldn't need a pid file either.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add run script
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (2 preceding siblings ...)
  2021-10-07  1:35 ` ericonr
@ 2021-10-07  1:35 ` ericonr
  2021-10-07  2:13 ` heittpr
                   ` (18 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-07  1:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 199 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723785709

Comment:
```suggestion
[ -r ./conf ] && . ./conf
```

Nit

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add run script
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (3 preceding siblings ...)
  2021-10-07  1:35 ` ericonr
@ 2021-10-07  2:13 ` heittpr
  2021-10-07  2:17 ` heittpr
                   ` (17 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  2:13 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 527 bytes --]

New review comment by heittpr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723797282

Comment:
I don't actually use `net-snmpd` myself, so these flags came from #29508 which I assumed to be decent defaults. A second read at the man pages actually suggests I was wrong.

- `-f` is indeed for foreground
- `-LSwd` and `-Lf` are both logging options, although I think a better default would be `-Lo`, that just logs to the standard output.
- the pid stuff can be removed too

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add run script
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (4 preceding siblings ...)
  2021-10-07  2:13 ` heittpr
@ 2021-10-07  2:17 ` heittpr
  2021-10-07  2:19 ` heittpr
                   ` (16 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  2:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 497 bytes --]

New review comment by heittpr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723798328

Comment:
It doesn't, but instead gives off a warning:

```
Warning: no access control information configured.
  (Config search path: /etc/snmp:/usr/share/snmp:/usr/lib64/snmp:/root/.snmp)
  It's unlikely this agent can serve any useful purpose in this state.
  Run "snmpconf -g basic_setup" to help you configure the snmpd.conf file for this agent.
```

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add run script
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (5 preceding siblings ...)
  2021-10-07  2:17 ` heittpr
@ 2021-10-07  2:19 ` heittpr
  2021-10-07  2:23 ` [PR REVIEW] net-snmp: add service heittpr
                   ` (15 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  2:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 515 bytes --]

New review comment by heittpr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723798328

Comment:
It doesn't, but instead gives off a warning and keeps running:

```
Warning: no access control information configured.
  (Config search path: /etc/snmp:/usr/share/snmp:/usr/lib64/snmp:/root/.snmp)
  It's unlikely this agent can serve any useful purpose in this state.
  Run "snmpconf -g basic_setup" to help you configure the snmpd.conf file for this agent.
```

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (6 preceding siblings ...)
  2021-10-07  2:19 ` heittpr
@ 2021-10-07  2:23 ` heittpr
  2021-10-07  2:27 ` ericonr
                   ` (14 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  2:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 312 bytes --]

New review comment by heittpr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723800099

Comment:
Perhaps it would be better not to exit if `/etc/snmp/snmpd.conf` doesn't exists since there are other config paths and this warning message is actually quite useful.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (7 preceding siblings ...)
  2021-10-07  2:23 ` [PR REVIEW] net-snmp: add service heittpr
@ 2021-10-07  2:27 ` ericonr
  2021-10-07  2:27 ` ericonr
                   ` (13 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-07  2:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 163 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723801144

Comment:
Ok, that's fair.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (8 preceding siblings ...)
  2021-10-07  2:27 ` ericonr
@ 2021-10-07  2:27 ` ericonr
  2021-10-07  2:27 ` ericonr
                   ` (12 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-07  2:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 200 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723801313

Comment:
Great So I think `$OPTS` can just be added by itself.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (9 preceding siblings ...)
  2021-10-07  2:27 ` ericonr
@ 2021-10-07  2:27 ` ericonr
  2021-10-07  2:28 ` ericonr
                   ` (11 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-07  2:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 201 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723801313

Comment:
Great! So I think `$OPTS` can just be added by itself.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (10 preceding siblings ...)
  2021-10-07  2:27 ` ericonr
@ 2021-10-07  2:28 ` ericonr
  2021-10-07  2:29 ` [PR REVIEW] " heittpr
                   ` (10 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-07  2:28 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 201 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#issuecomment-937393512

Comment:
Note, you've changed the PR title but not the commit itself 

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (11 preceding siblings ...)
  2021-10-07  2:28 ` ericonr
@ 2021-10-07  2:29 ` heittpr
  2021-10-07  2:31 ` heittpr
                   ` (9 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  2:29 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 374 bytes --]

New review comment by heittpr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723801871

Comment:
Didn't think of that lol, but btw, do you think it's worth it to add this to [the manual](https://github.com/void-linux/void-packages/blob/master/Manual.md#writing-runit-services) as well? Since it suggests using `[ -r conf ]`.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (12 preceding siblings ...)
  2021-10-07  2:29 ` [PR REVIEW] " heittpr
@ 2021-10-07  2:31 ` heittpr
  2021-10-07  2:31 ` heittpr
                   ` (8 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  2:31 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 297 bytes --]

New comment by heittpr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#issuecomment-937394525

Comment:
> Note, you've changed the PR title but not the commit itself

I know! I'll commit the other changes and then squash all commits on a correctly named one.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (13 preceding siblings ...)
  2021-10-07  2:31 ` heittpr
@ 2021-10-07  2:31 ` heittpr
  2021-10-07  2:40 ` [PR REVIEW] " heittpr
                   ` (7 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  2:31 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 299 bytes --]

New comment by heittpr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#issuecomment-937394525

Comment:
> Note, you've changed the PR title but not the commit itself

I know! I'll commit the other changes and then squash all commits into a correctly named one.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (14 preceding siblings ...)
  2021-10-07  2:31 ` heittpr
@ 2021-10-07  2:40 ` heittpr
  2021-10-07  2:47 ` [PR PATCH] [Updated] " heittpr
                   ` (6 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  2:40 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 336 bytes --]

New review comment by heittpr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723804962

Comment:
I'll leave it as `${OPTS:= -Lo}` in case a user wants to use some other logging options (`snmpd` also supports different logging levels and logging to a file or a syslog-compatible daemon).

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR PATCH] [Updated] net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (15 preceding siblings ...)
  2021-10-07  2:40 ` [PR REVIEW] " heittpr
@ 2021-10-07  2:47 ` heittpr
  2021-10-07  2:51 ` ericonr
                   ` (5 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  2:47 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 749 bytes --]

There is an updated pull request by heittpr against master on the void-packages repository

https://github.com/heittpr/void-packages net-snmp-run-script
https://github.com/void-linux/void-packages/pull/33393

net-snmp: add service
#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

A patch file from https://github.com/void-linux/void-packages/pull/33393.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-net-snmp-run-script-33393.patch --]
[-- Type: text/x-diff, Size: 596 bytes --]

From f38e433beca1aeba3b02b618447b2fc3eba17e94 Mon Sep 17 00:00:00 2001
From: heitor <heitorleite.dev@gmail.com>
Date: Wed, 6 Oct 2021 20:04:38 -0300
Subject: [PATCH] net-snmp: add service

---
 srcpkgs/net-snmp/files/snmpd/run | 4 ++++
 1 file changed, 4 insertions(+)
 create mode 100755 srcpkgs/net-snmp/files/snmpd/run

diff --git a/srcpkgs/net-snmp/files/snmpd/run b/srcpkgs/net-snmp/files/snmpd/run
new file mode 100755
index 000000000000..9cbb23cbc0cb
--- /dev/null
+++ b/srcpkgs/net-snmp/files/snmpd/run
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+[ -r ./conf ] && . ./conf
+exec snmpd -f ${OPTS:= -Lo}

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (16 preceding siblings ...)
  2021-10-07  2:47 ` [PR PATCH] [Updated] " heittpr
@ 2021-10-07  2:51 ` ericonr
  2021-10-07  2:52 ` [PR REVIEW] " ericonr
                   ` (4 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-07  2:51 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 198 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#issuecomment-937401020

Comment:
And I forgot to mention, you need to revbump the package.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (17 preceding siblings ...)
  2021-10-07  2:51 ` ericonr
@ 2021-10-07  2:52 ` ericonr
  2021-10-07  3:12 ` heittpr
                   ` (3 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-07  2:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 260 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723808888

Comment:
hmmm, I'd leave `-Lo` as default as well and add a logging service... See caddy's `log/run` symlink, for example.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (18 preceding siblings ...)
  2021-10-07  2:52 ` [PR REVIEW] " ericonr
@ 2021-10-07  3:12 ` heittpr
  2021-10-07  3:26 ` [PR PATCH] [Updated] " heittpr
                   ` (2 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  3:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 158 bytes --]

New review comment by heittpr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#discussion_r723814729

Comment:
fair enough

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR PATCH] [Updated] net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (19 preceding siblings ...)
  2021-10-07  3:12 ` heittpr
@ 2021-10-07  3:26 ` heittpr
  2021-10-08 13:24 ` ericonr
  2021-10-08 13:24 ` [PR PATCH] [Merged]: " ericonr
  22 siblings, 0 replies; 24+ messages in thread
From: heittpr @ 2021-10-07  3:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 749 bytes --]

There is an updated pull request by heittpr against master on the void-packages repository

https://github.com/heittpr/void-packages net-snmp-run-script
https://github.com/void-linux/void-packages/pull/33393

net-snmp: add service
#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

A patch file from https://github.com/void-linux/void-packages/pull/33393.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-net-snmp-run-script-33393.patch --]
[-- Type: text/x-diff, Size: 1428 bytes --]

From 90bbce1203729c1a8ea4327d4410ee37520c3126 Mon Sep 17 00:00:00 2001
From: heitor <heitorleite.dev@gmail.com>
Date: Wed, 6 Oct 2021 20:04:38 -0300
Subject: [PATCH] net-snmp: add service

---
 srcpkgs/net-snmp/files/snmpd/log/run | 1 +
 srcpkgs/net-snmp/files/snmpd/run     | 4 ++++
 srcpkgs/net-snmp/template            | 2 +-
 3 files changed, 6 insertions(+), 1 deletion(-)
 create mode 120000 srcpkgs/net-snmp/files/snmpd/log/run
 create mode 100755 srcpkgs/net-snmp/files/snmpd/run

diff --git a/srcpkgs/net-snmp/files/snmpd/log/run b/srcpkgs/net-snmp/files/snmpd/log/run
new file mode 120000
index 000000000000..3a5b4a586051
--- /dev/null
+++ b/srcpkgs/net-snmp/files/snmpd/log/run
@@ -0,0 +1 @@
+/usr/bin/vlogger
\ No newline at end of file
diff --git a/srcpkgs/net-snmp/files/snmpd/run b/srcpkgs/net-snmp/files/snmpd/run
new file mode 100755
index 000000000000..bcb7b2004baa
--- /dev/null
+++ b/srcpkgs/net-snmp/files/snmpd/run
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+[ -r ./conf ] && . ./conf
+exec snmpd -f -Lo $OPTS
diff --git a/srcpkgs/net-snmp/template b/srcpkgs/net-snmp/template
index 0b91683e00a8..2a808130cd33 100644
--- a/srcpkgs/net-snmp/template
+++ b/srcpkgs/net-snmp/template
@@ -1,7 +1,7 @@
 # Template file for 'net-snmp'
 pkgname=net-snmp
 version=5.9.1
-revision=1
+revision=2
 hostmakedepends="pkg-config unzip"
 makedepends="bzip2-devel openssl-devel libnl-devel pciutils-devel
  libsensors-devel pcre-devel"

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (20 preceding siblings ...)
  2021-10-07  3:26 ` [PR PATCH] [Updated] " heittpr
@ 2021-10-08 13:24 ` ericonr
  2021-10-08 13:24 ` [PR PATCH] [Merged]: " ericonr
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-08 13:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 148 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/33393#issuecomment-938640605

Comment:
Thanks!

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR PATCH] [Merged]: net-snmp: add service
  2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
                   ` (21 preceding siblings ...)
  2021-10-08 13:24 ` ericonr
@ 2021-10-08 13:24 ` ericonr
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-10-08 13:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 581 bytes --]

There's a merged pull request on the void-packages repository

net-snmp: add service
https://github.com/void-linux/void-packages/pull/33393

Description:
#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [x] I generally don't use the affected packages but briefly tested this PR

^ permalink raw reply	[flat|nested] 24+ messages in thread

end of thread, other threads:[~2021-10-08 13:24 UTC | newest]

Thread overview: 24+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-10-06 23:09 [PR PATCH] net-snmp: add run script heittpr
2021-10-06 23:09 ` heittpr
2021-10-07  1:35 ` [PR REVIEW] " ericonr
2021-10-07  1:35 ` ericonr
2021-10-07  1:35 ` ericonr
2021-10-07  2:13 ` heittpr
2021-10-07  2:17 ` heittpr
2021-10-07  2:19 ` heittpr
2021-10-07  2:23 ` [PR REVIEW] net-snmp: add service heittpr
2021-10-07  2:27 ` ericonr
2021-10-07  2:27 ` ericonr
2021-10-07  2:27 ` ericonr
2021-10-07  2:28 ` ericonr
2021-10-07  2:29 ` [PR REVIEW] " heittpr
2021-10-07  2:31 ` heittpr
2021-10-07  2:31 ` heittpr
2021-10-07  2:40 ` [PR REVIEW] " heittpr
2021-10-07  2:47 ` [PR PATCH] [Updated] " heittpr
2021-10-07  2:51 ` ericonr
2021-10-07  2:52 ` [PR REVIEW] " ericonr
2021-10-07  3:12 ` heittpr
2021-10-07  3:26 ` [PR PATCH] [Updated] " heittpr
2021-10-08 13:24 ` ericonr
2021-10-08 13:24 ` [PR PATCH] [Merged]: " ericonr

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).